import {createRoute, OpenAPIHono, z} from "@hono/zod-openapi";

const app = new OpenAPIHono();

app.openapi(
    createRoute({
        tags: ["server:settings"],
        summary: "Returns all modules in the server",
        method: "delete",
        path: "/settings",
        responses: {
            200: {
                content: {
                    "application/json": {
                        schema: z.object({
                            success: z.boolean().openapi({example: true}),
                            message: z.string().openapi({example: "Starter"}),
                        }),
                    },
                },
                description: "Response message",
            },
        },
    }),
    async (c) => {
        return c.json({success: true, message: "Example"}, 200);
    }
);
export default app;
